/*
Dump meta.sh for ezstream

Author: Matthew Adams
Email: nty
Version: 1.0
Date: 05/08/2010
License: GPL v2

*/
Importer.loadQtBinding( "qt.core" );


Amarok.Engine.trackChanged.connect( my_ttchanged );
Amarok.Engine.trackFinished.connect( my_ttchanged );

function my_ttchanged( ) {
 var song = Amarok.Engine.currentTrack().title;
 var artist = Amarok.Engine.currentTrack().artist;
 var album = Amarok.Engine.currentTrack().album;
 var output =  "#!/bin/sh\n# Minimalist example metadata script that has the behavior required by\n# ezstream.\ntest -z \"${1}\" && echo \""+album+"\"\ntest x\"${1}\" = \"xartist\" && echo \""+artist+"\"\ntest x\"${1}\" = \"xtitle\" && echo \""+song+"\"\n ";
 var f = new QFile("/radio_hosting/meta.sh");
 if(f.open(new QIODevice.OpenMode(QIODevice.WriteOnly))) {
  try 
  {
   var tout = new QByteArray();   
   tout.append(output);    
   f.write(tout); 
  }
  catch(err) 
  {
    Amarok.alert('Failure writing file' + err);
  }
  f.flush();
  f.close();
 } else {
  Amarok.alert("Couldn't open file" + f);
 }
}

